# esda.plot_moran_facet

esda.plot_moran_facet(moran_matrix, figsize=(16, 12), scatter_bv_kwds=None, fitline_bv_kwds=None, scatter_glob_kwds={'color': '#737373'}, fitline_glob_kwds=None)

  Moran Facet visualization.

  A matrix containing bivariate Moran plots between all pairs of variables present in the `moran_matrix` dictionary. On the diagonal contains global Moran plot.

  Parameters:
    moran_matrix `dict`

      Dictionary of Moran_BV objects returned by Moran_BV_matrix

    figsize `tuple`, optional

      Size of the figure. Default is (16,12)

    scatter_bv_kwds `keyword` `arguments`, optional

      Keywords used for creating and designing the scatter points of off-diagonal Moran_BV plots. Default =None.

    fitline_bv_kwds `keyword` `arguments`, optional

      Keywords used for creating and designing the moran fitline of off-diagonal Moran_BV plots. Default =None.

    scatter_glob_kwds `keyword` `arguments`, optional

      Keywords used for creating and designing the scatter points of diagonal Moran plots. Default =None.

    fitline_glob_kwds `keyword` `arguments`, optional

      Keywords used for creating and designing the moran fitline of diagonal Moran plots. Default =None.

  Returns:
    ax `matplotlib` `Axes` instance

      Axes in which the figure is plotted